Name:           m17n-db
Summary:        The m17n database
Version:        1.8.7
Release:        %mkrel 2
Group:          System/Internationalization
License:        LGPLv2+
URL:            https://www.nongnu.org/m17n/
Source0:        https://download.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz
BuildRequires:  glibc-i18ndata
BuildRequires:  gettext-devel
BuildArch:      noarch

Obsoletes:      m17n-contrib < 1.1.14-10
Provides:       m17n-contrib = %{version}-%{release}

%description
The m17n database; a sub-part of the m17n library.

%package        devel
Summary:        Headers of m17n for development
Group:          Development/C
Requires:       %{name} = %{version}

%description    devel
Headers of %{name} for development.

%prep
%setup -q

%build
%configure --build=%{_host}
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README NEWS ChangeLog
%{_bindir}/*
%{_datadir}/m17n

%files devel
%{_datadir}/pkgconfig/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.8.7-2.mga10
+ Revision: 2227179
- Mageia 10 Mass Rebuild

* Wed Aug 28 2024 mrambo3501 <mrambo3501> 1.8.7-1.mga10
+ Revision: 2091993
- version 1.8.7

* Wed Mar 23 2022 umeabot <umeabot> 1.8.0-5.mga9
+ Revision: 1821848
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.8.0-4.mga8
+ Revision: 1534295
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Oct 03 2019 daviddavid <daviddavid> 1.8.0-3.mga8
+ Revision: 1448971
- obsolete old m17n-contrib pkg, all is merged in m17n-db (mga#25514)
  ** All input methods in the m17n contrib package are merged

* Thu Sep 20 2018 umeabot <umeabot> 1.8.0-2.mga7
+ Revision: 1279302
- Mageia 7 Mass Rebuild

* Mon Apr 09 2018 kekepower <kekepower> 1.8.0-1.mga7
+ Revision: 1216603
- Update to version 1.8.0

* Thu Feb 18 2016 umeabot <umeabot> 1.7.0-2.mga6
+ Revision: 966178
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 fwang <fwang> 1.7.0-1.mga6
+ Revision: 842837
- 1.7.0

* Wed Oct 15 2014 umeabot <umeabot> 1.6.5-4.mga5
+ Revision: 743666
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 1.6.5-3.mga5
+ Revision: 725109
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.6.5-2.mga5
+ Revision: 682112
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 fwang <fwang> 1.6.5-1.mga5
+ Revision: 581802
- new version 1.6.5

* Fri Oct 18 2013 umeabot <umeabot> 1.6.4-3.mga4
+ Revision: 507656
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.6.4-2.mga3
+ Revision: 359245
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 1.6.4-1.mga3
+ Revision: 307511
- new version 1.6.4

* Tue Oct 11 2011 fwang <fwang> 1.6.3-1.mga2
+ Revision: 153789
- new version 1.6.3

* Thu Mar 24 2011 boklm <boklm> 1.6.2-2.mga1
+ Revision: 76190
- rebuild for bug #497

* Fri Mar 18 2011 tv <tv> 1.6.2-1.mga1
+ Revision: 73598
- imported package m17n-db


* Mon Oct 04 2010 Funda Wang <fwang@mandriva.org> 1.6.2-1mdv2011.0
+ Revision: 582857
- 1.6.2 final

* Thu Sep 23 2010 Funda Wang <fwang@mandriva.org> 1.6.2-0.RC.1mdv2011.0
+ Revision: 580637
- new verson 1.6.2 RC

* Tue Apr 27 2010 Funda Wang <fwang@mandriva.org> 1.6.1-1mdv2010.1
+ Revision: 539484
- New version 1.6.1

* Tue Mar 30 2010 Funda Wang <fwang@mandriva.org> 1.6.0-1mdv2010.1
+ Revision: 529676
- update to new version 1.6.0

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5.5-2mdv2010.1
+ Revision: 523235
- rebuilt for 2010.1

* Wed Jul 29 2009 Funda Wang <fwang@mandriva.org> 1.5.5-1mdv2010.0
+ Revision: 402888
- new version 1.5.5

* Sat Mar 07 2009 Funda Wang <fwang@mandriva.org> 1.5.4-1mdv2009.1
+ Revision: 351214
- New version 1.5.4

* Tue Oct 21 2008 Funda Wang <fwang@mandriva.org> 1.5.3-1mdv2009.1
+ Revision: 295988
- New version 1.5.3

* Tue Jul 08 2008 Funda Wang <fwang@mandriva.org> 1.5.2-1mdv2009.0
+ Revision: 232833
- New version 1.5.2

* Tue Jul 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-3mdv2009.0
+ Revision: 232802
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix no-buildroot-tag

* Thu Feb 07 2008 Funda Wang <fwang@mandriva.org> 1.5.1-1mdv2008.1
+ Revision: 163362
- update to new version 1.5.1

* Fri Dec 28 2007 Funda Wang <fwang@mandriva.org> 1.5.0-1mdv2008.1
+ Revision: 138761
- New version 1.5.0

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jul 21 2007 Funda Wang <fwang@mandriva.org> 1.4.0-1mdv2008.0
+ Revision: 54221
- New version


* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.3.4-1mdv2007.0
+ Revision: 106763
- add buildrequires on gettext-devel for `AM_GNU_GETTEXT
- new release
- latest snapshot (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
- Import m17n-db

* Fri Aug 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.3.3-3.20060803.1mdv2007.0
- fix build
- latest snapshot (UTUMI Hirosi <utuhiro78@yahoo.co.jp>): better Thai support
  (http://sourceforge.net/mailarchive/forum.php?thread_id=26116958&forum_id=43684)

* Mon Jun 26 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.3.3-2.20060625.1mdv2007.0
- latest snapshot

* Sat Feb 25 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.3.3-1mdk
- new release

* Thu Jan 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.3.1-1mdk
- new release

* Fri Dec 23 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.3.0-1mdk
- new release

* Wed Nov 16 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-4.20051116.1mdk
- latest snapshot
- remove patches for vi-vni.mim (merged upstream)

* Wed Sep 14 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-3.20050809.2mdk
- source 1, patch 0: add new vi-vni.mim input method for vietnamese (Yukiko
  Bando)

* Wed Aug 10 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-3.20050809.1mdk
- latest snapshot

* Tue Apr 26 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-2.20050425.1mdk
- latest snapshot
- spec cleanup
- remove find_lang (it doesn't have po files)

* Tue Dec 28 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-1mdk
- new release

* Fri Nov 26 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.1.0-4.cvs20041126.1mdk
- latest snapshot

* Wed Aug 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.0-1mdk
- new release
- only run bootstrap if needed

* Thu Jul 15 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.2-2.cvs20040714.1mdk
- cvs 20040714

* Fri May 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-1mdk
- initial package (based on UTUMI Hirosi <utuhiro78@yahoo.co.jp> 's work)

